Loading...
Searching...
No Matches
pcl::face_detection::FeatureType Class Reference

`#include <pcl/recognition/face_detection/face_common.h>`

## Public Member Functions

| FeatureType ()
void | serialize (std::ostream &stream) const
void | deserialize (std::istream &stream)

## Public Attributes

int | row1_
int | col1_
int | row2_
int | col2_
int | wsizex1_
int | wsizey1_
int | wsizex2_
int | wsizey2_
float | threshold_
int | used_ii_

## Detailed Description

Definition at line 27 of file face_common.h.

## Constructor & Destructor Documentation

## FeatureType()

pcl::face_detection::FeatureType::FeatureType | ( |  | ) |

inline

Definition at line 39 of file face_common.h.

References used_ii_.

## Member Function Documentation

## deserialize()

void pcl::face_detection::FeatureType::deserialize | ( | std::istream & | stream | ) |

inline

Definition at line 58 of file face_common.h.

References col1_, col2_, row1_, row2_, threshold_, used_ii_, wsizex1_, wsizex2_, wsizey1_, and wsizey2_.

Referenced by pcl::face_detection::RFTreeNode< FeatureType >::deserialize().

## serialize()

void pcl::face_detection::FeatureType::serialize | ( | std::ostream & | stream | ) | const

inline

Definition at line 44 of file face_common.h.

References col1_, col2_, row1_, row2_, threshold_, used_ii_, wsizex1_, wsizex2_, wsizey1_, and wsizey2_.

Referenced by pcl::face_detection::RFTreeNode< FeatureType >::serialize().

## Member Data Documentation

## col1_

int pcl::face_detection::FeatureType::col1_

Definition at line 30 of file face_common.h.

Referenced by deserialize(), and serialize().

## col2_

int pcl::face_detection::FeatureType::col2_

Definition at line 31 of file face_common.h.

Referenced by deserialize(), and serialize().

## row1_

int pcl::face_detection::FeatureType::row1_

Definition at line 30 of file face_common.h.

Referenced by deserialize(), and serialize().

## row2_

int pcl::face_detection::FeatureType::row2_

Definition at line 31 of file face_common.h.

Referenced by deserialize(), and serialize().

## threshold_

float pcl::face_detection::FeatureType::threshold_

Definition at line 36 of file face_common.h.

Referenced by deserialize(), and serialize().

## used_ii_

int pcl::face_detection::FeatureType::used_ii_

Definition at line 37 of file face_common.h.

Referenced by deserialize(), FeatureType(), and serialize().

## wsizex1_

int pcl::face_detection::FeatureType::wsizex1_

Definition at line 33 of file face_common.h.

Referenced by deserialize(), and serialize().

## wsizex2_

int pcl::face_detection::FeatureType::wsizex2_

Definition at line 34 of file face_common.h.

Referenced by deserialize(), and serialize().

## wsizey1_

int pcl::face_detection::FeatureType::wsizey1_

Definition at line 33 of file face_common.h.

Referenced by deserialize(), and serialize().

## wsizey2_

int pcl::face_detection::FeatureType::wsizey2_

Definition at line 34 of file face_common.h.

Referenced by deserialize(), and serialize().

The documentation for this class was generated from the following file:

- pcl/recognition/face_detection/face_common.h